ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2022 by gezelter, Mon Feb 14 23:16:48 2005 UTC vs.
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS_PATH BSD_PS POSIX_PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 876 | Line 876 | Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
879  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880                          [default=/usr/local]
881  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 3542 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3545: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3622: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 7259 | Line 7256 | if test "${ac_cv_path_PS_PATH+set}" = set; then
7256   set dummy ps; ac_word=$2
7257   echo "$as_me:$LINENO: checking for $ac_word" >&5
7258   echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7259 < if test "${ac_cv_path_PS_PATH+set}" = set; then
7259 > if test "${ac_cv_path_PS+set}" = set; then
7260    echo $ECHO_N "(cached) $ECHO_C" >&6
7261   else
7262 <  case $PS_PATH in
7262 >  case $PS in
7263    [\\/]* | ?:[\\/]*)
7264 <  ac_cv_path_PS_PATH="$PS_PATH" # Let the user override the test with a path.
7264 >  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7265    ;;
7266    *)
7267    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
# Line 7274 | Line 7271 | do
7271    test -z "$as_dir" && as_dir=.
7272    for ac_exec_ext in '' $ac_executable_extensions; do
7273    if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7274 <    ac_cv_path_PS_PATH="$as_dir/$ac_word$ac_exec_ext"
7274 >    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7275      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7276      break 2
7277    fi
# Line 7284 | Line 7281 | PS_PATH=$ac_cv_path_PS_PATH
7281    ;;
7282   esac
7283   fi
7284 < PS_PATH=$ac_cv_path_PS_PATH
7284 > PS=$ac_cv_path_PS
7285  
7286 < if test -n "$PS_PATH"; then
7287 <  echo "$as_me:$LINENO: result: $PS_PATH" >&5
7288 < echo "${ECHO_T}$PS_PATH" >&6
7286 > if test -n "$PS"; then
7287 >  echo "$as_me:$LINENO: result: $PS" >&5
7288 > echo "${ECHO_T}$PS" >&6
7289   else
7290    echo "$as_me:$LINENO: result: no" >&5
7291   echo "${ECHO_T}no" >&6
7292   fi
7293  
7294 < echo "$as_me:$LINENO: checking for POSIX ps" >&5
7295 < echo $ECHO_N "checking for POSIX ps... $ECHO_C" >&6
7296 < if test "${ac_cv_prog_ps_posix+set}" = set; then
7294 > echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7295 > echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7296 > if test "${ac_cv_prog_ps_syntax+set}" = set; then
7297    echo $ECHO_N "(cached) $ECHO_C" >&6
7298   else
7299  
7300 <        USER=${USER:-${LOGNAME:-`logname`}}
7301 <        if $PS_PATH -U $USER -opid,args >/dev/null 2>&1; then
7305 <                ac_cv_prog_ps_posix=yes
7300 >        if $PS ax -o rss > /dev/null 2>&1; then
7301 >                ac_cv_prog_ps_ax=yes
7302          else
7303 <                ac_cv_prog_ps_posix=no
7303 >                ac_cv_prog_ps_ax=no
7304          fi
7305 +        if $PS -ef -o rss > /dev/null 2>&1; then
7306 +                ac_cv_prog_ps_ef=yes
7307 +        else
7308 +                ac_cv_prog_ps_ef=no
7309 +        fi
7310 +        if test "$ac_cv_prog_ps_ax" = yes; then
7311 +                ac_cv_prog_ps_syntax=BSD
7312 +        else
7313 +                if test "$ac_cv_prog_ps_ef" = yes; then
7314 +                        ac_cv_prog_ps_syntax=POSIX
7315 +                else
7316 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7317 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7318 +   { (exit 1); exit 1; }; }
7319 +                fi
7320 +        fi
7321  
7322   fi
7323 < echo "$as_me:$LINENO: result: $ac_cv_prog_ps_posix" >&5
7324 < echo "${ECHO_T}$ac_cv_prog_ps_posix" >&6
7325 < if test "$ac_cv_prog_ps_posix" = yes; then
7326 <        BSD_PS=yes
7327 < else
7328 <        POSIX_PS=yes
7329 < fi
7323 > echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324 > echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325 >
7326 >
7327 > cat >>confdefs.h <<_ACEOF
7328 > #define PSCOMMAND $PS
7329 > _ACEOF
7330  
7331  
7332 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 +  cat >>confdefs.h <<\_ACEOF
7334 + #define PSTYPE_IS_BSD 1
7335 + _ACEOF
7336  
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342  
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349  
7350  
7351   # Check whether --with-mpi or --without-mpi was given.
# Line 7785 | Line 7812 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
7812   fi
7813   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7814   echo "${ECHO_T}found $MPI_F90_LIB" >&6
7788
7789
7790 fi
7791
7792
7793
7794 # Check whether --with-sprng or --without-sprng was given.
7795 if test "${with_sprng+set}" = set; then
7796  withval="$with_sprng"
7797  with_sprng=$withval
7798 else
7799  with_sprng="/usr/local"
7800 fi;
7801
7802 case "x$with_sprng" in
7803        xyes | "x")  USE_SPRNG=yes;;
7804        xno) USE_SPRNG=no ;;
7805        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7806 esac
7807 if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7808        SPRNG="/usr/local"
7809 fi
7810 if test "$USE_SPRNG" = "yes"; then
7811
7812
7813 # Set variables...
7814 SPRNG_LIB_DIR="$SPRNG/lib"
7815 SPRNG_INC_DIR="$SPRNG/include"
7816
7817
7818
7819 echo "$as_me:$LINENO: checking for sprng.h" >&5
7820 echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7821 have_sprng_h=0
7822 echo '#include <sprng.h>' > conftest.cc
7823 if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7824        echo "$as_me:$LINENO: result: yes" >&5
7825 echo "${ECHO_T}yes" >&6
7826        have_sprng_h=1
7827 else
7828        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7829 echo "${ECHO_T}no! Check SPRNG include path!" >&6
7830        USE_SPRNG="no"
7831 fi
7832 rm -f conftest*
7833 if test "$have_sprng_h" = 1; then
7834
7835 cat >>confdefs.h <<\_ACEOF
7836 #define HAVE_SPRNG_H 1
7837 _ACEOF
7838
7839 fi
7840
7841 ac_ext=c
7842 ac_cpp='$CPP $CPPFLAGS'
7843 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7844 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7845 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7846
7847 ac_save_LDFLAGS=$LDFLAGS
7848 LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7849
7850 echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7851 echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7852 if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7853  echo $ECHO_N "(cached) $ECHO_C" >&6
7854 else
7855  ac_check_lib_save_LIBS=$LIBS
7856 LIBS="-lsprng  $LIBS"
7857 cat >conftest.$ac_ext <<_ACEOF
7858 /* confdefs.h.  */
7859 _ACEOF
7860 cat confdefs.h >>conftest.$ac_ext
7861 cat >>conftest.$ac_ext <<_ACEOF
7862 /* end confdefs.h.  */
7863
7864 /* Override any gcc2 internal prototype to avoid an error.  */
7865 #ifdef __cplusplus
7866 extern "C"
7867 #endif
7868 /* We use char because int might match the return type of a gcc2
7869   builtin and then its argument prototype would still apply.  */
7870 char init_rng ();
7871 int
7872 main ()
7873 {
7874 init_rng ();
7875  ;
7876  return 0;
7877 }
7878 _ACEOF
7879 rm -f conftest.$ac_objext conftest$ac_exeext
7880 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7881  (eval $ac_link) 2>conftest.er1
7882  ac_status=$?
7883  grep -v '^ *+' conftest.er1 >conftest.err
7884  rm -f conftest.er1
7885  cat conftest.err >&5
7886  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7887  (exit $ac_status); } &&
7888         { ac_try='test -z "$ac_c_werror_flag"
7889                         || test ! -s conftest.err'
7890  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7891  (eval $ac_try) 2>&5
7892  ac_status=$?
7893  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7894  (exit $ac_status); }; } &&
7895         { ac_try='test -s conftest$ac_exeext'
7896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7897  (eval $ac_try) 2>&5
7898  ac_status=$?
7899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7900  (exit $ac_status); }; }; then
7901  ac_cv_lib_sprng_init_rng=yes
7902 else
7903  echo "$as_me: failed program was:" >&5
7904 sed 's/^/| /' conftest.$ac_ext >&5
7905
7906 ac_cv_lib_sprng_init_rng=no
7907 fi
7908 rm -f conftest.err conftest.$ac_objext \
7909      conftest$ac_exeext conftest.$ac_ext
7910 LIBS=$ac_check_lib_save_LIBS
7911 fi
7912 echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7913 echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7914 if test $ac_cv_lib_sprng_init_rng = yes; then
7915  SPRNG_LIB="-lsprng"
7916 else
7917
7918             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7919 echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7920   { (exit 1); exit 1; }; }
7921             USE_SPRNG="no"
7922
7923 fi
7924
7925
7926 if test "$USE_SPRNG" = "no"; then
7927  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7928 echo "$as_me: error: No working SPRNG library found" >&2;}
7929   { (exit 1); exit 1; }; }
7930 fi
7931
7932
7933 fi
7934
7935
7936
7937 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7938 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7939
7940 # Check whether --with-mkl or --without-mkl was given.
7941 if test "${with_mkl+set}" = set; then
7942  withval="$with_mkl"
7943     echo "$as_me:$LINENO: result: yes" >&5
7944 echo "${ECHO_T}yes" >&6
7945    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7946        mkldir="$dir"
7947        if test -f "$dir/include/mkl.h"; then
7948            found_mkl="yes";
7949            break;
7950        fi
7951    done
7952    if test x_$found_mkl != x_yes; then
7953        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7954 echo "$as_me: error: Cannot find MKL includes" >&2;}
7955   { (exit 1); exit 1; }; }
7956    else
7957        printf "MKL includes found in $mkldir/include\n";
7958    fi
7959
7960
7961
7962  ac_ext=c
7963 ac_cpp='$CPP $CPPFLAGS'
7964 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7965 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7966 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7967
7968  ac_save_CPPFLAGS=$CPPFLAGS
7969  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7970  ac_save_LDFLAGS=$LDFLAGS
7971  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7972  if test "${ac_cv_header_mkl_h+set}" = set; then
7973  echo "$as_me:$LINENO: checking for mkl.h" >&5
7974 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7975 if test "${ac_cv_header_mkl_h+set}" = set; then
7976  echo $ECHO_N "(cached) $ECHO_C" >&6
7977 fi
7978 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7979 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7980 else
7981  # Is the header compilable?
7982 echo "$as_me:$LINENO: checking mkl.h usability" >&5
7983 echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
7984 cat >conftest.$ac_ext <<_ACEOF
7985 /* confdefs.h.  */
7986 _ACEOF
7987 cat confdefs.h >>conftest.$ac_ext
7988 cat >>conftest.$ac_ext <<_ACEOF
7989 /* end confdefs.h.  */
7990 $ac_includes_default
7991 #include <mkl.h>
7992 _ACEOF
7993 rm -f conftest.$ac_objext
7994 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7995  (eval $ac_compile) 2>conftest.er1
7996  ac_status=$?
7997  grep -v '^ *+' conftest.er1 >conftest.err
7998  rm -f conftest.er1
7999  cat conftest.err >&5
8000  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8001  (exit $ac_status); } &&
8002         { ac_try='test -z "$ac_c_werror_flag"
8003                         || test ! -s conftest.err'
8004  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8005  (eval $ac_try) 2>&5
8006  ac_status=$?
8007  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8008  (exit $ac_status); }; } &&
8009         { ac_try='test -s conftest.$ac_objext'
8010  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8011  (eval $ac_try) 2>&5
8012  ac_status=$?
8013  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8014  (exit $ac_status); }; }; then
8015  ac_header_compiler=yes
8016 else
8017  echo "$as_me: failed program was:" >&5
8018 sed 's/^/| /' conftest.$ac_ext >&5
8019
8020 ac_header_compiler=no
8021 fi
8022 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8023 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8024 echo "${ECHO_T}$ac_header_compiler" >&6
8025
8026 # Is the header present?
8027 echo "$as_me:$LINENO: checking mkl.h presence" >&5
8028 echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8029 cat >conftest.$ac_ext <<_ACEOF
8030 /* confdefs.h.  */
8031 _ACEOF
8032 cat confdefs.h >>conftest.$ac_ext
8033 cat >>conftest.$ac_ext <<_ACEOF
8034 /* end confdefs.h.  */
8035 #include <mkl.h>
8036 _ACEOF
8037 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8038  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8039  ac_status=$?
8040  grep -v '^ *+' conftest.er1 >conftest.err
8041  rm -f conftest.er1
8042  cat conftest.err >&5
8043  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8044  (exit $ac_status); } >/dev/null; then
8045  if test -s conftest.err; then
8046    ac_cpp_err=$ac_c_preproc_warn_flag
8047    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8048  else
8049    ac_cpp_err=
8050  fi
8051 else
8052  ac_cpp_err=yes
8053 fi
8054 if test -z "$ac_cpp_err"; then
8055  ac_header_preproc=yes
8056 else
8057  echo "$as_me: failed program was:" >&5
8058 sed 's/^/| /' conftest.$ac_ext >&5
8059
8060  ac_header_preproc=no
8061 fi
8062 rm -f conftest.err conftest.$ac_ext
8063 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8064 echo "${ECHO_T}$ac_header_preproc" >&6
8065
8066 # So?  What about this header?
8067 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8068  yes:no: )
8069    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8070 echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8071    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8072 echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8073    ac_header_preproc=yes
8074    ;;
8075  no:yes:* )
8076    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8077 echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8078    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8079 echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8080    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8081 echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8082    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8083 echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8084    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8085 echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8086    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8087 echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8088    (
8089      cat <<\_ASBOX
8090 ## ------------------------------ ##
8091 ## Report this to gezelter@nd.edu ##
8092 ## ------------------------------ ##
8093 _ASBOX
8094    ) |
8095      sed "s/^/$as_me: WARNING:     /" >&2
8096    ;;
8097 esac
8098 echo "$as_me:$LINENO: checking for mkl.h" >&5
8099 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8100 if test "${ac_cv_header_mkl_h+set}" = set; then
8101  echo $ECHO_N "(cached) $ECHO_C" >&6
8102 else
8103  ac_cv_header_mkl_h=$ac_header_preproc
8104 fi
8105 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8106 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7815  
8108 fi
8109 if test $ac_cv_header_mkl_h = yes; then
7816  
8111    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
8112 echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
8113 if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
8114  echo $ECHO_N "(cached) $ECHO_C" >&6
8115 else
8116  ac_check_lib_save_LIBS=$LIBS
8117 LIBS="-lmkl  $LIBS"
8118 cat >conftest.$ac_ext <<_ACEOF
8119 /* confdefs.h.  */
8120 _ACEOF
8121 cat confdefs.h >>conftest.$ac_ext
8122 cat >>conftest.$ac_ext <<_ACEOF
8123 /* end confdefs.h.  */
8124
8125 /* Override any gcc2 internal prototype to avoid an error.  */
8126 #ifdef __cplusplus
8127 extern "C"
8128 #endif
8129 /* We use char because int might match the return type of a gcc2
8130   builtin and then its argument prototype would still apply.  */
8131 char vslNewStream ();
8132 int
8133 main ()
8134 {
8135 vslNewStream ();
8136  ;
8137  return 0;
8138 }
8139 _ACEOF
8140 rm -f conftest.$ac_objext conftest$ac_exeext
8141 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8142  (eval $ac_link) 2>conftest.er1
8143  ac_status=$?
8144  grep -v '^ *+' conftest.er1 >conftest.err
8145  rm -f conftest.er1
8146  cat conftest.err >&5
8147  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8148  (exit $ac_status); } &&
8149         { ac_try='test -z "$ac_c_werror_flag"
8150                         || test ! -s conftest.err'
8151  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8152  (eval $ac_try) 2>&5
8153  ac_status=$?
8154  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8155  (exit $ac_status); }; } &&
8156         { ac_try='test -s conftest$ac_exeext'
8157  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8158  (eval $ac_try) 2>&5
8159  ac_status=$?
8160  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8161  (exit $ac_status); }; }; then
8162  ac_cv_lib_mkl_vslNewStream=yes
8163 else
8164  echo "$as_me: failed program was:" >&5
8165 sed 's/^/| /' conftest.$ac_ext >&5
8166
8167 ac_cv_lib_mkl_vslNewStream=no
7817   fi
8169 rm -f conftest.err conftest.$ac_objext \
8170      conftest$ac_exeext conftest.$ac_ext
8171 LIBS=$ac_check_lib_save_LIBS
8172 fi
8173 echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8174 echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
8175 if test $ac_cv_lib_mkl_vslNewStream = yes; then
8176  MKL_LIBDIR="${mkldir}/lib/32",
8177                     MKL_LIB="-lmkl -lvml -lguide",
8178                     HAVE_MKL="yes"
8179 fi
7818  
7819  
8182 else
8183  MKL_INC="-I${mkldir}/include"
8184 fi
7820  
7821  
8187  CPPFLAGS=$ac_save_CPPFLAGS
8188  LDFLAGS=$ac_save_LDFLAGS
8189  ac_ext=c
8190 ac_cpp='$CPP $CPPFLAGS'
8191 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8192 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8193 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7822  
8195
8196  if test x_$HAVE_MKL != x_yes; then
8197        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8198 echo "$as_me: error: Can't build with MKL" >&2;}
8199   { (exit 1); exit 1; }; }
8200  fi
8201
8202
8203
8204
8205
8206 else
8207
8208    echo "$as_me:$LINENO: result: no" >&5
8209 echo "${ECHO_T}no" >&6
8210
8211 fi;
8212
8213
8214
7823   # Check whether --enable-doxygen or --disable-doxygen was given.
7824   if test "${enable_doxygen+set}" = set; then
7825    enableval="$enable_doxygen"
# Line 9082 | Line 8690 | s,@PS_PATH@,$PS_PATH,;t t
8690   s,@LEXLIB@,$LEXLIB,;t t
8691   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
8692   s,@AR@,$AR,;t t
8693 < s,@PS_PATH@,$PS_PATH,;t t
9086 < s,@BSD_PS@,$BSD_PS,;t t
9087 < s,@POSIX_PS@,$POSIX_PS,;t t
8693 > s,@PS@,$PS,;t t
8694   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8695   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
8696   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
9094 s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9095 s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9096 s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9097 s,@USE_SPRNG@,$USE_SPRNG,;t t
9098 s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9099 s,@MKL_LIB@,$MKL_LIB,;t t
9100 s,@MKL_INC@,$MKL_INC,;t t
9101 s,@HAVE_MKL@,$HAVE_MKL,;t t
8700   s,@DOXYGEN@,$DOXYGEN,;t t
8701   s,@DOT@,$DOT,;t t
8702   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines